Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.modelmbean
Class ModelMBeanNotificationInfo

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanNotificationInfo
              javax.management.modelmbean.ModelMBeanNotificationInfo

All Implemented Interfaces:
  Serializable, Cloneable, DescriptorAccess, DescriptorRead

    public class ModelMBeanNotificationInfo

extends MBeanNotificationInfo
implements DescriptorAccess

The ModelMBeanNotificationInfo object describes a notification emitted by a ModelMBean. It is a subclass of MBeanNotificationInfo with the addition of an associated Descriptor and an implementation of the Descriptor interface.

The fields in the descriptor are defined, but not limited to, the following:

     name           : notification name
     descriptorType : must be "notification"
     severity       : 0-6 where 0: unknown; 1: non-recoverable;
                      2: critical, failure; 3: major, severe;
                      4: minor, marginal, error; 5: warning;
                      6: normal, cleared, informative
     messageID      : unique key for message text (to allow translation,
                      analysis)
     messageText    : text of notification
     log            : T - log message F - do not log message
     logfile        : string fully qualified file name appropriate for
                      operating system
     visibility     : 1-4 where 1: always visible 4: rarely visible
     presentationString : xml formatted string to allow presentation of data

The default descriptor contains the name, descriptorType, displayName and severity(=6) fields.

The serialVersionUID of this class is `-7445681389570207141L`.

Since:
  1.5
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`ModelMBeanNotificationInfo(ModelMBeanNotificationInfo inInfo)` Constructs a new ModelMBeanNotificationInfo object from this ModelMBeanNotfication Object.
`ModelMBeanNotificationInfo(String[] notifTypes, String name, String description)` Constructs a ModelMBeanNotificationInfo object with a default descriptor.
`ModelMBeanNotificationInfo(String[] notifTypes, String name, String description, Descriptor descriptor)` Constructs a ModelMBeanNotificationInfo object.

Method Summary
`Object` | `clone()` Creates and returns a new ModelMBeanNotificationInfo which is a duplicate of this ModelMBeanNotificationInfo.
`Descriptor` | `getDescriptor()` Returns a copy of the associated Descriptor for the ModelMBeanNotificationInfo.
`void` | `setDescriptor(Descriptor inDescriptor)` Sets associated Descriptor (full replace) for the ModelMBeanNotificationInfo If the new Descriptor is null, then the associated Descriptor reverts to a default descriptor.
`String` | `toString()` Returns a human readable string containing ModelMBeanNotificationInfo.

Methods inherited from class javax.management.MBeanNotificationInfo
`equals, getNotifTypes, hashCode`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelMBeanNotificationInfo

    public ModelMBeanNotificationInfo(String[] notifTypes,
                                      String name,
                                      String description)

  Constructs a ModelMBeanNotificationInfo object with a default descriptor.

  Parameters:
    `notifTypes` - The array of strings (in dot notation) containing the notification types that may be emitted.
    `name` - The name of the Notification class.
    `description` - A human readable description of the Notification. Optional.

### ModelMBeanNotificationInfo

    public ModelMBeanNotificationInfo(String[] notifTypes,
                                      String name,
                                      String description,
                                      Descriptor descriptor)

  Constructs a ModelMBeanNotificationInfo object.

  Parameters:
    `notifTypes` - The array of strings (in dot notation) containing the notification types that may be emitted.
    `name` - The name of the Notification class.
    `description` - A human readable description of the Notification. Optional.
    `descriptor` - An instance of Descriptor containing the appropriate metadata for this instance of the MBeanNotificationInfo. If it is null a default descriptor will be created. If the descriptor does not contain the fields "displayName" or "severity" these fields are added in the descriptor with their default values.
  Throws:
    `RuntimeOperationsException` - Wraps an `IllegalArgumentException`. The descriptor is invalid, or descriptor field "name" is not equal to parameter name, or descriptor field "DescriptorType" is not equal to "notification".

### ModelMBeanNotificationInfo

    public ModelMBeanNotificationInfo(ModelMBeanNotificationInfo inInfo)

  Constructs a new ModelMBeanNotificationInfo object from this ModelMBeanNotfication Object.

  Parameters:
    `inInfo` - the ModelMBeanNotificationInfo to be duplicated

Method Detail

### clone

    public Object clone()

  Creates and returns a new ModelMBeanNotificationInfo which is a duplicate of this ModelMBeanNotificationInfo.

  Overrides:
    `clone` in class `MBeanNotificationInfo`
  Returns:
    a clone of this instance.
  See Also:
    `Cloneable`

### getDescriptor

    public Descriptor getDescriptor()

  Returns a copy of the associated Descriptor for the ModelMBeanNotificationInfo.

  Specified by:
    `getDescriptor` in interface `DescriptorRead`
  Overrides:
    `getDescriptor` in class `MBeanFeatureInfo`
  Returns:
    Descriptor associated with the ModelMBeanNotificationInfo object.
  See Also:
    `setDescriptor(javax.management.Descriptor)`

### setDescriptor

    public void setDescriptor(Descriptor inDescriptor)

  Sets associated Descriptor (full replace) for the ModelMBeanNotificationInfo If the new Descriptor is null, then the associated Descriptor reverts to a default descriptor. The Descriptor is validated before it is assigned. If the new Descriptor is invalid, then a RuntimeOperationsException wrapping an IllegalArgumentException is thrown.

  Specified by:
    `setDescriptor` in interface `DescriptorAccess`
  Parameters:
    `inDescriptor` - replaces the Descriptor associated with the ModelMBeanNotification interface
  Throws:
    `RuntimeOperationsException` - Wraps an `IllegalArgumentException` for invalid Descriptor.
  See Also:
    `getDescriptor()`

### toString

    public String toString()

  Returns a human readable string containing ModelMBeanNotificationInfo.

  Overrides:
    `toString` in class `MBeanNotificationInfo`
  Returns:
    a string describing this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.